> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Мутация: экспортировать ZonesMap как zip-архив Shapefile

Создайте ZIP-архив с выбранной картой зон «ZonesMap» в формате Shapefile.

{% hint style="info" %}
Архив содержит файлы \*.shp, \*.shx, \*.prj и \*.dbf в системе координат EPSG:4326.
{% endhint %}

### 1. Подготовка

* Атрибут `vectorAnalysisMaps` содержит массив объектов карт зон (VectorAnalysisMaps) для экспорта. Каждый такой объект включает пару `fieldUuid` (связь с выбранным полем) и `uuid` (связь с выбранной картой зон).
* Логический атрибут `asMultiGeometry` определяет, будут ли зоны экспортированы как `Polygons` или как `MultiPolygons` (если установлено значение `true` ).
* Логический атрибут `onlyProductColumns` указывает, следует ли включать в файл Shapefile только столбцы с продуктами (RX) (если значение `true`). В противном случае столбцами будут представлены все статистические атрибуты и идентификаторы зон.
* Атрибут `archiveName` содержит имя создаваемого ZIP-архива.
* Атрибут `filePostfix` позволяет добавлять произвольные суффиксы к экспортируемым файлам и архиву.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Скачивание созданного архива

После выполнения запроса GraphQL архив можно скачать с помощью `curl` или аналогичным способом.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
